# 构建镜像初始的依赖镜像（镜像名:版本号，缺省版本号时为latest）
FROM openjdk:8-jdk-alpine

# 指定镜像创建者信息
LABEL maintainer="YY"

# 设置语言
ENV LANG en_US.UTF-8
ENV LC_ALL en_US.UTF-8

# 设置时区
ENV TZ=Asia/Shanghai
RUN ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo $TZ > /etc/timezone

# 在容器中创建目录
RUN mkdir -p /game/x1/common-libs /game/x1/jar /game/x1/config /game/x1/csv /game/x1/mapdata /game/x1/uploadfiles

# 复制文件
COPY ../common-libs/* /game/x1/common-libs
RUN rm -rf /game/x1/common-libs/jdk.tools-1.8.jar
COPY ../x1-game-server/target/jar/* /game/x1/jar

# 复制 tools.jar
RUN find /usr -name "tools.jar" -exec cp {} /game/x1/common-libs \;

# 设置进行容器时的工作目录，也是程序启动的目录，如果不进行此设置，会影响到springboot无法正常加载config配置
WORKDIR /game/x1

# 启动命令
ENTRYPOINT java -server -javaagent:./jar/gaming-agent-0.0.1.jar -XX:+HeapDumpOnOutOfMemoryError -Xms1024M -Xmx2048M -classpath "./config/*:./common-libs/*:./jar/*:" com.xiugou.x1.game.server.X1GameServer > ./log_console.log &